aboutsummaryrefslogtreecommitdiff
path: root/rofi/powermenu.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xrofi/powermenu.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/rofi/powermenu.sh b/rofi/powermenu.sh
new file mode 100755
index 0000000..2adc4c4
--- /dev/null
+++ b/rofi/powermenu.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+poweroff=""
+reboot=""
+lock=""
+exit="󰗼"
+
+chosen=$(echo -e "$poweroff\n$reboot\n$lock\n$exit" | rofi -dmenu -theme powermenu.rasi)
+
+case "$chosen" in
+ "$poweroff") shutdown now ;;
+ "$reboot") reboot ;;
+ "$lock") loginctl lock-session ;;
+ "$exit") hyprctl dispatch exit ;;
+ *) exit 1 ;;
+esac
+